Summary:	GeoLite Country - Country database for GeoIP
Summary(pl.UTF-8):	GeoLite Country - baza danych krajów dla GeoIP
Name:		GeoIP-db-Country
# Updated every month:
Version:	2018.10.31
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	https://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz?/GeoIP-%{version}.dat.gz
# Source0-md5:	d538e57ad9268fdc7955c6cf9a37c4a9
Source1:	https://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz?/GeoIPv6-%{version}.dat.gz
# Source1-md5:	a685e71ab129b6ca4cba75f7eaeb5335
URL:		https://dev.maxmind.com/geoip/legacy/geolite/
Requires:	GeoIP-libs >= 1.4.5-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GeoLite Country is similar to the GeoIP Country database, but is not
as accurate. Should you require greater accuracy, GeoIP Country is a
drop-in replacement for GeoLite Country.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
GeoLite Country jest podobna do bazy danych GeoIP Country, ale nie
jest tak dokładna. Jeśli wymagana jest większa dokładność, GeoIP
Country jest zamiennikiem GeoLite Country.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

gzip -d GeoIP-%{version}.dat.gz GeoIPv6-%{version}.dat.gz
dt4=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
dt6=$(TZ=GMT stat -c '%y' GeoIPv6-%{version}.dat | awk '{print $1}' | tr - .)
if [ "$(echo $dt4 | tr -d .)" -gt "$(echo $dt6 | tr -d .)" ]; then
	ver=$dt4
else
	ver=$dt6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIP-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIP.dat
cp -p GeoIPv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Thu Nov 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-Country.git;a=log;h=master

* Wed Oct 31 2018 Elan Ruusamäe <glen@pld-linux.org> d3aca3f
- updated to 2018.10.31

* Wed Oct 24 2018 Elan Ruusamäe <glen@pld-linux.org> 9059810
- updated to 2018.10.24

* Mon Oct 15 2018 Elan Ruusamäe <glen@pld-linux.org> ef331d0
- updated to 2018.10.15

* Tue Oct 09 2018 Elan Ruusamäe <glen@pld-linux.org> 510987f
- updated to 2018.10.09

* Wed Oct 03 2018 Elan Ruusamäe <glen@pld-linux.org> 680f76a
- updated to 2018.10.02

* Wed Sep 26 2018 Elan Ruusamäe <glen@pld-linux.org> f53ae4a
- updated to 2018.09.26

* Mon Sep 17 2018 Elan Ruusamäe <glen@pld-linux.org> be0b310
- updated to 2018.09.17

* Tue Sep 11 2018 Elan Ruusamäe <glen@pld-linux.org> ea3291e
- updated to 2018.09.11

* Thu Sep 06 2018 Elan Ruusamäe <glen@pld-linux.org> 606cd47
- updated to 2018.09.06

* Wed Aug 29 2018 Elan Ruusamäe <glen@pld-linux.org> d930443
- updated to 2018.08.28

* Thu Aug 16 2018 Elan Ruusamäe <glen@pld-linux.org> 1afeedc
- updated to 2018.08.16

* Tue Aug 14 2018 Elan Ruusamäe <glen@pld-linux.org> 3461fe9
- release 2 (by relup.sh)

* Tue Aug 14 2018 Elan Ruusamäe <glen@pld-linux.org> dc1de19
- fix ipv6 file timestamp calculation

* Wed Aug 08 2018 Elan Ruusamäe <glen@pld-linux.org> bb098a9
- updated to 2018.08.07

* Wed Jul 04 2018 Elan Ruusamäe <glen@pld-linux.org> 37235df
- updated to 2018.07.03

* Mon Jun 04 2018 Elan Ruusamäe <glen@pld-linux.org> d709a5e
- updated to 2018.06.04

* Tue May 01 2018 Elan Ruusamäe <glen@pld-linux.org> 34f6949
- updated to 2018.05.01

* Wed Apr 04 2018 Elan Ruusamäe <glen@pld-linux.org> 9a0e1c0
- updated to 2018.04.03

* Tue Mar 27 2018 Elan Ruusamäe <glen@pld-linux.org> 586863d
- updated to 2018.03.27

* Wed Mar 07 2018 Elan Ruusamäe <glen@pld-linux.org> c2ce1d4
- updated to 2018.03.07

